summaryrefslogtreecommitdiff
path: root/sci-libs/libaec
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /sci-libs/libaec
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'sci-libs/libaec')
-rw-r--r--sci-libs/libaec/Manifest1
-rw-r--r--sci-libs/libaec/libaec-1.1.4.ebuild41
-rw-r--r--sci-libs/libaec/metadata.xml17
3 files changed, 59 insertions, 0 deletions
diff --git a/sci-libs/libaec/Manifest b/sci-libs/libaec/Manifest
new file mode 100644
index 000000000000..5e815a85b777
--- /dev/null
+++ b/sci-libs/libaec/Manifest
@@ -0,0 +1 @@
+DIST libaec-v1.1.4.tar.bz2 2314074 BLAKE2B 453c03e9559f84fac37ea6abd1e3b37c1b88adb78b3d9db45e63ba1d38c8fccd25127748070b0b3e52d347a13676418531048e21a995b6742db74c622d6306b3 SHA512 08d29dadbc3f2bea1a050e6d67669dec693124daee1b374a03823a9e49725223eb83aa0083f206e1d64960ebfa6717c7a9621f1bb499712d21d48b21dbb5f0d7
diff --git a/sci-libs/libaec/libaec-1.1.4.ebuild b/sci-libs/libaec/libaec-1.1.4.ebuild
new file mode 100644
index 000000000000..92e29ecaec6d
--- /dev/null
+++ b/sci-libs/libaec/libaec-1.1.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+MY_P="${PN}-v${PV}"
+DESCRIPTION="Adaptive Entropy Coding library"
+HOMEPAGE="https://gitlab.dkrz.de/k202009/libaec"
+SRC_URI="https://gitlab.dkrz.de/k202009/libaec/-/archive/v${PV}/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD-2"
+SLOT="0/2"
+KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
+IUSE="+szip test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="szip? ( !sci-libs/szip )"
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTING=$(usex test)
+ -DBUILD_STATIC_LIBS=OFF
+ -DCMAKE_INSTALL_LIBDIR=$(get_libdir)
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ # avoid conflict with szip (easier than patching)
+ if ! use szip; then
+ rm "${ED}"/usr/include/szlib.h || die
+ rm "${ED}"/usr/$(get_libdir)/libsz* || die
+ rm "${ED}"/usr/share/doc/${PF}/README.SZIP || die
+ fi
+}
diff --git a/sci-libs/libaec/metadata.xml b/sci-libs/libaec/metadata.xml
new file mode 100644
index 000000000000..276aa45e4036
--- /dev/null
+++ b/sci-libs/libaec/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+</maintainer>
+<longdescription lang="en">
+ Libaec provides fast lossless compression of 1 up to 32 bit wide
+ signed or unsigned integers (samples). The library achieves best
+ results for low entropy data as often encountered in space imaging
+ instrument data or numerical model output from weather or climate
+ simulations. While floating point representations are not directly
+ supported, they can also be efficiently coded by grouping exponents
+ and mantissa.
+</longdescription>
+</pkgmetadata>